## org.apache.commons.collections.set
Class UnmodifiableSortedSet

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.set.AbstractSetDecorator
              org.apache.commons.collections.set.AbstractSortedSetDecorator
                  org.apache.commons.collections.set.UnmodifiableSortedSet

All Implemented Interfaces:
  Collection, Serializable, Set, SortedSet, Unmodifiable

public final class UnmodifiableSortedSet
extends AbstractSortedSetDecorator
implements Unmodifiable, Serializable

Decorates another `SortedSet` to ensure it can't be altered.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/06/02 22:02:34 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Method Summary
`boolean` `add(Object object)`
`boolean` `addAll(Collection coll)`
`void` `clear()`
`static SortedSet` `decorate(SortedSet set)` Factory method to create an unmodifiable set.
`SortedSet` `headSet(Object toElement)`
`Iterator` `iterator()`
`boolean` `remove(Object object)`
`boolean` `removeAll(Collection coll)`
`boolean` `retainAll(Collection coll)`
`SortedSet` `subSet(Object fromElement, Object toElement)`
`SortedSet` `tailSet(Object fromElement)`

Methods inherited from class org.apache.commons.collections.set.AbstractSortedSetDecorator
`comparator, first, getSortedSet, last`

Methods inherited from class org.apache.commons.collections.set.AbstractSetDecorator
`getSet`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`contains, containsAll, equals, getCollection, hashCode, isEmpty, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

Method Detail

### decorate

    public static SortedSet decorate(SortedSet set)

  Factory method to create an unmodifiable set.

  Parameters:
    `set` - the set to decorate, must not be null
  Throws:
    `IllegalArgumentException` - if set is null

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Set`
  Overrides:
    `iterator` in class `AbstractCollectionDecorator`

### add

    public boolean add(Object object)

  Specified by:
    `add` in interface `Set`
  Overrides:
    `add` in class `AbstractCollectionDecorator`

### addAll

    public boolean addAll(Collection coll)

  Specified by:
    `addAll` in interface `Set`
  Overrides:
    `addAll` in class `AbstractCollectionDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Set`
  Overrides:
    `clear` in class `AbstractCollectionDecorator`

### remove

    public boolean remove(Object object)

  Specified by:
    `remove` in interface `Set`
  Overrides:
    `remove` in class `AbstractCollectionDecorator`

### removeAll

    public boolean removeAll(Collection coll)

  Specified by:
    `removeAll` in interface `Set`
  Overrides:
    `removeAll` in class `AbstractCollectionDecorator`

### retainAll

    public boolean retainAll(Collection coll)

  Specified by:
    `retainAll` in interface `Set`
  Overrides:
    `retainAll` in class `AbstractCollectionDecorator`

### subSet

    public SortedSet subSet(Object fromElement,
                            Object toElement)

  Specified by:
    `subSet` in interface `SortedSet`
  Overrides:
    `subSet` in class `AbstractSortedSetDecorator`

### headSet

    public SortedSet headSet(Object toElement)

  Specified by:
    `headSet` in interface `SortedSet`
  Overrides:
    `headSet` in class `AbstractSortedSetDecorator`

### tailSet

    public SortedSet tailSet(Object fromElement)

  Specified by:
    `tailSet` in interface `SortedSet`
  Overrides:
    `tailSet` in class `AbstractSortedSetDecorator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.